# Uses of Enum Class
org.apache.datasketches.common.Family

Packages that use Family
Package
Description
org.apache.datasketches.common
This package is for common classes that may be used across all the sketch families.
org.apache.datasketches.cpc
Compressed Probabilistic Counting sketch family
org.apache.datasketches.theta
The theta package contains the basic sketch classes that are members of the Theta-Sketch Framework.

## Uses of Family in org.apache.datasketches.common

Subclasses with type arguments of type Family in org.apache.datasketches.common
Modifier and Type
Class
Description
`enum`
`Family`
Defines the various families of sketch and set operation classes.
Methods in org.apache.datasketches.common that return Family
Modifier and Type
Method
Description
`static Family`
Family.`idToFamily(int id)`
Returns the Family given the ID
`static Family`
Family.`stringToFamily(String famName)`
Returns the Family given the family name
`static Family`
Family.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Family[]`
Family.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Family in org.apache.datasketches.cpc

Methods in org.apache.datasketches.cpc that return Family
Modifier and Type
Method
Description
`static Family`
CpcSketch.`getFamily()`
Return the DataSketches identifier for this CPC family of sketches.
`static Family`
CpcUnion.`getFamily()`
Return the DataSketches identifier for this CPC family of sketches.
`static Family`
CpcWrapper.`getFamily()`
Return the DataSketches identifier for this CPC family of sketches.

## Uses of Family in org.apache.datasketches.theta

Methods in org.apache.datasketches.theta that return Family
Modifier and Type
Method
Description
`Family`
CompactThetaSketch.`getFamily()`
`Family`
ThetaAnotB.`getFamily()`
`Family`
ThetaIntersection.`getFamily()`
`abstract Family`
ThetaSetOperation.`getFamily()`
Gets the Family of this ThetaSetOperation
`abstract Family`
ThetaSketch.`getFamily()`
Returns the Family that this sketch belongs to
`Family`
ThetaUnion.`getFamily()`
`Family`
UpdatableThetaSketchBuilder.`getFamily()`
Returns the local Family
Methods in org.apache.datasketches.theta with parameters of type Family
Modifier and Type
Method
Description
`ThetaSetOperation`
ThetaSetOperationBuilder.`build(Family family)`
Returns a ThetaSetOperation with the current configuration of this Builder and the given Family.
`ThetaSetOperation`
ThetaSetOperationBuilder.`build(Family family, MemorySegment dstSeg)`
Returns a ThetaSetOperation with the current configuration of this Builder, the given Family and the given destination MemorySegment.
`UpdatableThetaSketchBuilder`
UpdatableThetaSketchBuilder.`setFamily(Family family)`
Set the local Family.